Name:             perl-Sub-Install
Version:          0.928
Release:          18
Summary:          Install subroutines into packages easily
License:          GPL+ or Artistic
URL:              https://metacpan.org/release/Sub-Install
Source0:          https://cpan.metacpan.org/authors/id/R/RJ/RJBS/Sub-Install-%{version}.tar.gz
BuildArch:        noarch
BuildRequires:    perl perl-generators perl(ExtUtils::MakeMaker) perl(strict) perl(warnings)
BuildRequires:    perl(Scalar::Util) perl(Test::More) 
Requires:         perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version)) perl(B)

%description
This module makes it easy to install subroutines into packages without the
unsightly mess of no strict or typeglobs lying about where just anyone can
see them.

%package_help

%prep
%autosetup -n Sub-Install-%{version} -p1

%build
perl Makefile.PL NO_PACKLIST=1 INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%defattr(-,root,root)
%doc LICENSE README Changes
%{perl_vendorlib}/Sub/Install.pm

%files help
%defattr(-,root,root)
%{_mandir}/man3/*3*

%changelog
* Tue Nov 12 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.928-18
- Package init
